Domains
Finds the domains that match the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. By default a result containing 1000 domains is returned.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0. Cursor should be preferred over offset for better performance and stable results. It is forbidden to use both in the same request.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped. For cursor pagination this parameter is ignored and count is skipped.
-1Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (nextCursor property).
The name of the domain to search for
The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.
ANYWHEREPossible values: The exclude meta flag. If this is set to true then the meta domains will not be returned (meta domains are i.e. domains not created manually by the user).
trueThe ID of the community to find the domains in
The ID of the domain type to search for. Returned domains are of this type. Ignored if typeIds is also provided.
The IDs of the domain types to search for. Returned domains are of these types. When provided, typeId is ignored.
The public ID of the domain type to search for. Returned domains are of this type
Whether to include sub-communities. When true, direct sub-communities of the community referenced by the communityId parameter are also included in the search. Sub-communities of those sub-communities are not included.
falseOK - The request has succeeded.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
GET /rest/2.0/domains HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"community": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"excludedFromAutoHyperlinking": true,
"meta": true
}
]
}Adds a new domain with given data into a community.
The name of the new domain. Should be unique within the community.
The ID of the community that the new domain should be added to.
The ID of the domain type of the new domain.
The description of the new domain.
The ID of the new domain. Should be unique within all domains.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.
The public ID of the domain type of the new domain.
Created - The request has been fulfilled and resulted in a new resource being created.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.Whether this domain is excluded from hyperlinking or not.
Whether this domain is a meta resource.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
POST /rest/2.0/domains HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 239
{
"name": "text",
"communityId": "123e4567-e89b-12d3-a456-426614174000",
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"excludedFromAutoHyperlinking": true,
"typePublicId": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"community": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"excludedFromAutoHyperlinking": true,
"meta": true
}Adds multiple domains using the given parameters
The name of the new domain. Should be unique within the community.
The ID of the community that the new domain should be added to.
The ID of the domain type of the new domain.
The description of the new domain.
The ID of the new domain. Should be unique within all domains.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.
The public ID of the domain type of the new domain.
Created - The request has been fulfilled and resulted in a new resource being created.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.Whether this domain is excluded from hyperlinking or not.
Whether this domain is a meta resource.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
POST /rest/2.0/domains/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 241
[
{
"name": "text",
"communityId": "123e4567-e89b-12d3-a456-426614174000",
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"excludedFromAutoHyperlinking": true,
"typePublicId": "text"
}
][
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"community": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"excludedFromAutoHyperlinking": true,
"meta": true
}
]This endpoint will be removed in the future. Please use POST /domains/removalJobs.
No Content - The server has fulfilled the request but does not need to return an entity-body.
No content
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
DELETE /rest/2.0/domains/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 40
[
"123e4567-e89b-12d3-a456-426614174000"
]No content
Changes multiple domains using the given parameters
The ID of the domain to be changed. Silently ignored if the ID is provided as path parameter of the request.
The new name for the domain
The ID of the new community for the domain
The ID of the new domain type for the domain
The new description for the domain
Whether the domain should be excluded from hyperlinking or not
Whether scopes assigned to domain should be removed on move if there are any inherited scopes in new community
The public ID of the new domain type for the domain
OK - The request has succeeded.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.Whether this domain is excluded from hyperlinking or not.
Whether this domain is a meta resource.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
PATCH /rest/2.0/domains/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 273
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"communityId": "123e4567-e89b-12d3-a456-426614174000",
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"excludedFromAutoHyperlinking": true,
"removeScopeOverlapOnMove": true,
"typePublicId": "text"
}
][
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"community": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"excludedFromAutoHyperlinking": true,
"meta": true
}
]Returns the domain with the given ID
the ID of the domain
OK - The request has succeeded.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.Whether this domain is excluded from hyperlinking or not.
Whether this domain is a meta resource.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
GET /rest/2.0/domains/{domainId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"community": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"excludedFromAutoHyperlinking": true,
"meta": true
}This endpoint will be removed in the future. Please use POST /domains/removalJobs.
the ID of the domain to remove
No Content - The server has fulfilled the request but does not need to return an entity-body.
No content
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
DELETE /rest/2.0/domains/{domainId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Changes the domain with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.
the ID of the domain to be changed.
The ID of the domain to be changed. Silently ignored if the ID is provided as path parameter of the request.
The new name for the domain
The ID of the new community for the domain
The ID of the new domain type for the domain
The new description for the domain
Whether the domain should be excluded from hyperlinking or not
Whether scopes assigned to domain should be removed on move if there are any inherited scopes in new community
The public ID of the new domain type for the domain
OK - The request has succeeded.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.Whether this domain is excluded from hyperlinking or not.
Whether this domain is a meta resource.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
PATCH /rest/2.0/domains/{domainId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 271
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"communityId": "123e4567-e89b-12d3-a456-426614174000",
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"excludedFromAutoHyperlinking": true,
"removeScopeOverlapOnMove": true,
"typePublicId": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"community": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"excludedFromAutoHyperlinking": true,
"meta": true
}Returns the list of resources that lead to the domain identified by the given ID.
The ID of the domain
OK - The request has succeeded.
Represents reference to the resource, including its name.
The id of the referenced resource.
2b7f3a1a-4e50-4077-96f0-a58a395c860dThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.
CommunityPossible values: The resource discriminator, which indicates the type of the referenced resource, e.g. "Community", "Asset", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values.
CommunityThe name of the referenced resource.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
GET /rest/2.0/domains/{domainId}/breadcrumb HTTP/1.1
Authorization: Basic username:password
Accept: */*
[
{
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
]Removes multiple domains with the given IDs in a job.
OK - The request has succeeded.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
POST /rest/2.0/domains/removalJobs HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 40
[
"123e4567-e89b-12d3-a456-426614174000"
]{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Last updated
Was this helpful?